### Hierarchy

- Widget
  - ImagePWidget

### Implements

- IDisposable
- IMessageHandler

## Index

### Modules

- Widget

### Constructors

- constructor

### Properties

- disposed
- id
- isAttached
- isDisposed
- isHidden
- isVisible
- layout
- node
- parent
- title

### Methods

- addClass
- attach
- clearFlag
- close
- compressMessage
- contains
- detach
- dispose
- fit
- hasClass
- hide
- notifyLayout
- onAfterAttach
- onAfterShow
- onBeforeDetach
- onBeforeHide
- onChildAdded
- onChildRemoved
- onCloseRequest
- onResize
- onUpdateRequest
- processMessage
- removeClass
- setFlag
- setHidden
- show
- testFlag
- toggleClass
- update
- createNode

## Constructors

### constructor

- new ImagePWidget(): ImagePWidget

- Inherited from Widget.__constructor

  Overwrites NodeWrapper.__constructor

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:17

  Construct a new widget.

  #### Returns ImagePWidget

## Properties

### disposed

disposed: ISignal<Widget, void>

Inherited from Widget.disposed

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:36

A signal emitted when the widget is disposed.

See also: dispose, disposed

### id

id: string

Inherited from NodeWrapper.id

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-nodewrapper/lib/index.d.ts:33

Set the id of the wrapper's DOM node.

### isAttached

isAttached: boolean

Inherited from Widget.isAttached

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:54

Test whether the widget's node is attached to the DOM.

#### Notes

This is a read-only property.

See also: attach, detach

### isDisposed

isDisposed: boolean

Inherited from Widget.isDisposed

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:45

Test whether the widget has been disposed.

#### Notes

This is a read-only property.

See also: dispose, disposed

### isHidden

isHidden: boolean

Inherited from Widget.isHidden

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:63

Test whether the widget is explicitly hidden.

#### Notes

This is a read-only property.

See also: isVisible, hide, show

### isVisible

isVisible: boolean

Inherited from Widget.isVisible

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:75

Test whether the widget is visible.

#### Notes

A widget is visible when it is attached to the DOM, is not explicitly hidden, and has no explicitly hidden ancestors.

This is a read-only property.

See also: isHidden, hide, show

### layout

layout: Layout

Inherited from Widget.layout

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:117

Set the layout for the widget.

#### Notes

The layout is single-use only. It cannot be set to `null` and it cannot be changed after the first assignment.

The layout is disposed automatically when the widget is disposed.

### node

node: HTMLElement

Inherited from NodeWrapper.node

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-nodewrapper/lib/index.d.ts:26

Get the DOM node managed by the wrapper.

#### Notes

This property is read-only.

### parent

parent: Widget

Inherited from Widget.parent

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:101

Set the parent of the widget.

#### Notes

The widget will be automatically removed from its current parent.

This is a no-op if there is no effective parent change.

### title

title: Title

Inherited from Widget.title

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:86

Get the title data object for the widget.

#### Notes

The title data is used by some container widgets when displaying the widget along with a title, such as a tab panel or dock panel.

Not all widgets will make use of the title data, so it is created on-demand the first time it is accessed.

## Methods

### addClass

- addClass(name: string): void

- Inherited from NodeWrapper.addClass

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-nodewrapper/lib/index.d.ts:50

  Add a class name to the wrapper's DOM node.

  #### Parameters

  - ##### name: string

    The class name to add to the node.

    #### Notes

    If the class name is already added to the node, this is a no-op.

  #### Returns void

### attach

- attach(host: HTMLElement): void

- Inherited from Widget.attach

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:176

  Attach the widget to a host DOM node.

  throws

    An error if the widget is not a root widget, if the widget is already attached, or if the host is not attached to the DOM.

  #### Parameters

  - ##### host: HTMLElement

    The DOM node to use as the widget's host.

  #### Returns void

### clearFlag

- clearFlag(flag: WidgetFlag): void

- Inherited from Widget.clearFlag

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:204

  Clear the given widget flag.

  #### Notes

  This will not typically be consumed directly by user code.

  #### Parameters

  - ##### flag: WidgetFlag

  #### Returns void

### close

- close(): void

- Inherited from Widget.close

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:143

  Send a `'close-request'` message to the widget.

  See also: [[MsgCloseRequest]]

  #### Returns void

### compressMessage

- compressMessage(msg: Message, pending: Queue<Message>): boolean

- Inherited from Widget.compressMessage

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:218

  Compress a message posted to the widget.

  #### Parameters

  - ##### msg: Message

    The message posted to the widget.

  - ##### pending: Queue<Message>

    The queue of pending messages for the widget.

  #### Returns boolean

  `true` if the message should be ignored, or `false` if the message should be enqueued for delivery as normal.

  #### Notes

  Subclasses may reimplement this method as needed.

### contains

- contains(widget: Widget): boolean

- Inherited from Widget.contains

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:125

  Test whether a widget is a descendant of this widget.

  #### Parameters

  - ##### widget: Widget

    The widget of interest.

  #### Returns boolean

  `true` if the widget is a descendant, `false` otherwise.

### detach

- detach(): void

- Inherited from Widget.detach

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:183

  Detach the widget from its host DOM node.

  throws

    An error if the widget is not a root widget, or if the widget is not attached.

  #### Returns void

### dispose

- dispose(): void

- Inherited from Widget.dispose

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:30

  Dispose of the widget and its descendants.

  #### Notes

  It is generally unsafe to use the widget after it is disposed.

  All calls made to this method after the first are a no-op.

  #### Returns void

### fit

- fit(): void

- Inherited from Widget.fit

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:137

  Post a `'fit-request'` message to the widget.

  See also: [[MsgFitRequest]]

  #### Returns void

### hasClass

- hasClass(name: string): boolean

- Inherited from NodeWrapper.hasClass

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-nodewrapper/lib/index.d.ts:41

  Test whether the wrapper's DOM node has the given class name.

  #### Parameters

  - ##### name: string

    The class name of interest.

  #### Returns boolean

  `true` if the node has the class, `false` otherwise.

### hide

- hide(): void

- Inherited from Widget.hide

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:157

  Hide the widget and make it hidden to its parent widget.

  #### Notes

  This causes the isHidden property to be `true`.

  #### Returns void

### Protected notifyLayout

- notifyLayout(msg: Message): void

- Inherited from Widget.notifyLayout

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:236

  Invoke the message processing routine of the widget's layout.

  #### Parameters

  - ##### msg: Message

    The message to dispatch to the layout.

    #### Notes

    This is a no-op if the widget does not have a layout.

  #### Returns void

### Protected onAfterAttach

- onAfterAttach(msg: Message): void

- Inherited from Widget.onAfterAttach

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:285

  A message handler invoked on an `'after-attach'` message.

  The default implementation of this handler is a no-op.

  See also: [[MsgAfterAttach]]

  #### Parameters

  - ##### msg: Message

  #### Returns void

### Protected onAfterShow

- onAfterShow(msg: Message): void

- Inherited from Widget.onAfterShow

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:269

  A message handler invoked on an `'after-show'` message.

  The default implementation of this handler is a no-op.

  See also: [[MsgAfterShow]]

  #### Parameters

  - ##### msg: Message

  #### Returns void

### Protected onBeforeDetach

- onBeforeDetach(msg: Message): void

- Inherited from Widget.onBeforeDetach

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:293

  A message handler invoked on a `'before-detach'` message.

  The default implementation of this handler is a no-op.

  See also: [[MsgBeforeDetach]]

  #### Parameters

  - ##### msg: Message

  #### Returns void

### Protected onBeforeHide

- onBeforeHide(msg: Message): void

- Inherited from Widget.onBeforeHide

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:277

  A message handler invoked on a `'before-hide'` message.

  The default implementation of this handler is a no-op.

  See also: [[MsgBeforeHide]]

  #### Parameters

  - ##### msg: Message

  #### Returns void

### Protected onChildAdded

- onChildAdded(msg: ChildMessage): void

- Inherited from Widget.onChildAdded

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:301

  A message handler invoked on a `'child-added'` message.

  The default implementation of this handler is a no-op.

  See also: [[ChildMessage]]

  #### Parameters

  - ##### msg: ChildMessage

  #### Returns void

### Protected onChildRemoved

- onChildRemoved(msg: ChildMessage): void

- Inherited from Widget.onChildRemoved

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:309

  A message handler invoked on a `'child-removed'` message.

  The default implementation of this handler is a no-op.

  See also: [[ChildMessage]]

  #### Parameters

  - ##### msg: ChildMessage

  #### Returns void

### Protected onCloseRequest

- onCloseRequest(msg: Message): void

- Inherited from Widget.onCloseRequest

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:245

  A message handler invoked on a `'close-request'` message.

  #### Notes

  The default implementation of this handler detaches the widget.

  See also: close, [[MsgCloseRequest]]

  #### Parameters

  - ##### msg: Message

  #### Returns void

### Protected onResize

- onResize(msg: ResizeMessage): void

- Inherited from Widget.onResize

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:253

  A message handler invoked on a `'resize'` message.

  The default implementation of this handler is a no-op.

  See also: [[ResizeMessage]]

  #### Parameters

  - ##### msg: ResizeMessage

  #### Returns void

### Protected onUpdateRequest

- onUpdateRequest(msg: Message): void

- Inherited from Widget.onUpdateRequest

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:261

  A message handler invoked on an `'update-request'` message.

  The default implementation of this handler is a no-op.

  See also: update, [[MsgUpdateRequest]]

  #### Parameters

  - ##### msg: Message

  #### Returns void

### processMessage

- processMessage(msg: Message): void

- Inherited from Widget.processMessage

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:227

  Process a message sent to the widget.

  #### Parameters

  - ##### msg: Message

    The message sent to the widget.

    #### Notes

    Subclasses may reimplement this method as needed.

  #### Returns void

### removeClass

- removeClass(name: string): void

- Inherited from NodeWrapper.removeClass

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-nodewrapper/lib/index.d.ts:59

  Remove a class name from the wrapper's DOM node.

  #### Parameters

  - ##### name: string

    The class name to remove from the node.

    #### Notes

    If the class name is not yet added to the node, this is a no-op.

  #### Returns void

### setFlag

- setFlag(flag: WidgetFlag): void

- Inherited from Widget.setFlag

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:197

  Set the given widget flag.

  #### Notes

  This will not typically be consumed directly by user code.

  #### Parameters

  - ##### flag: WidgetFlag

  #### Returns void

### setHidden

- setHidden(hidden: boolean): void

- Inherited from Widget.setHidden

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:167

  Set whether the widget is hidden.

  #### Parameters

  - ##### hidden: boolean

    `true` to hide the widget, or `false` to show it.

    #### Notes

    `widget.setHidden(true)` is equivalent to `widget.hide()`, and `widget.setHidden(false)` is equivalent to `widget.show()`.

  #### Returns void

### show

- show(): void

- Inherited from Widget.show

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:150

  Show the widget and make it visible to its parent widget.

  #### Notes

  This causes the isHidden property to be `false`.

  #### Returns void

### testFlag

- testFlag(flag: WidgetFlag): boolean

- Inherited from Widget.testFlag

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:190

  Test whether the given widget flag is set.

  #### Notes

  This will not typically be consumed directly by user code.

  #### Parameters

  - ##### flag: WidgetFlag

  #### Returns boolean

### toggleClass

- toggleClass(name: string, force?: boolean): boolean

- Inherited from NodeWrapper.toggleClass

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-nodewrapper/lib/index.d.ts:71

  Toggle a class name on the wrapper's DOM node.

  #### Parameters

  - ##### name: string

    The class name to toggle on the node.

  - ##### Optional force: boolean

    Whether to force add the class (`true`) or force remove the class (`false`). If not provided, the presence of the class will be toggled from its current state.

  #### Returns boolean

  `true` if the class is now present, `false` otherwise.

### update

- update(): void

- Inherited from Widget.update

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/node_modules/phosphor-widget/lib/widget.d.ts:131

  Post an `'update-request'` message to the widget.

  See also: [[MsgUpdateRequest]]

  #### Returns void

### Static createNode

- createNode(): HTMLImageElement

- Overwrites NodeWrapper.createNode

  - Defined in widget_image.ts:30

  #### Returns HTMLImageElement

Generated using TypeDoc